import java.awt.*;
import java.awt.image.*;

public class Menu extends Window{

private int rows;
private int cols;
private int numItems;
private int width;
private String items[];

public boolean active = false;
private Image aImage;
private int cRow = 0;
private int cCol = 0;

public Menu(int x, int y, int c, int r, int w, String s[]) {
	createWindow(x,y);
	rows = r;
	cols = c;
	numItems = s.length;
	width = w;
	items = s;

	for(int j=0,k=0;j<rows;j++)
	for(int i=0;i<cols;i++) {
		g.drawImage(Text.getString(s[k]),32+(i*width),20+(j*32),null);
		k++;
		if(k==numItems) break;
	}
}//Menu

public void shiftU() {
	cRow--;
	if(cRow<0) cRow = rows-1;
}

public void shiftD() {
	cRow++;
	if(cRow==rows) cRow = 0;
}

public void shiftL() {
	cCol--;
	if(cCol<0) cCol = cols-1;
}

public void shiftR() {
	cCol++;
	if(cCol==cols) cCol = 0;
}

public void setRow(int r) {
	cRow = r;
}

public void setCol(int c) {
	cCol = c;
}

public final int getCheckX() {
	return cX+18+(cCol*width);
}

public final int getCheckY() {
	return cY+20+(cRow*32);
}

public final int getC(){
	return cCol;
}

public final int getR(){
	return cRow;
}

public final int getW(){
	return width;
}


}//Menu