import java.awt.*;
import java.awt.image.*;
import javax.swing.*;
import java.io.*;

public class Window{

public int cX = 16;
public int cY = 16;
public static final long			DISPLAY = 0;
public static final int 			TEXT = 0;
public static final float 		DIALOG = 0;
public static final boolean 	MENU = true;

public static boolean loaded = false;
public static Image frame[] = new Image[8];
public static Image check[] = new Image[2];
public Image image;
protected static Font Text = new Font(Font.STYLE_NORMAL);
protected static Graphics g;

public Window() {}

//FEED TEXT
public Window(int x, int y, int type, String string){

}//Window

//DISPLAY TEXT
public Window(int x, int y, long type, String string) {
	createWindow(x,y);
	g.drawImage(Text.getString(string),16,20,null);
}//Window


public static void init() {
	ImageIcon img;
	Image frames;
	Graphics g;

	img = new ImageIcon(ClassLoader.getSystemResource("Font/1w.tls"));
	frames = img.getImage();

	for (int i=0; i<8; i++) {
		frame[i] = new BufferedImage(32,32, BufferedImage.TYPE_INT_RGB);
		g = frame[i].getGraphics();
		g.drawImage(
			frames,
			0,0,32,32,
			i*32,0,
			i*32+32,32,
			null);
	}

	img = new ImageIcon(ClassLoader.getSystemResource("Font/1w.tlr"));
	frames = img.getImage();
	for(int i=0;i<2;i++) {
		check[i] = new BufferedImage(14,24, BufferedImage.TYPE_INT_RGB);
		g = check[i].getGraphics();
		g.drawImage(
			frames,
			0,0,14,24,
			i*14,0,
			i*14+14,24,
			null);
	}

	loaded = true;
}//init

public void createWindow(int x, int y) {
	image = new BufferedImage(x*32,y*32, BufferedImage.TYPE_INT_RGB);
	g = image.getGraphics();

	g.setColor(new Color(16,16,16));
	g.fillRect(8,8,x*32-8,y*32-8);
	g.drawImage(frame[0],0,0,null);
	g.drawImage(frame[1],(x-1)*32,0,null);
	g.drawImage(frame[2],0,(y-1)*32,null);
	g.drawImage(frame[3],(x-1)*32,(y-1)*32,null);
	for(int i=0;i<x-2;i++){
		g.drawImage(frame[4],(i+1)*32,0,null);
		g.drawImage(frame[5],(i+1)*32,(y-1)*32,null);
	}
	for(int i=0;i<y-2;i++){
		g.drawImage(frame[6],0,(i+1)*32,null);
		g.drawImage(frame[7],(x-1)*32,(i+1)*32,null);
	}
	image = new Label().createImage(new FilteredImageSource(image.getSource(),new filterMask()));
}//createWindow

public Image display() {
	return image;
}

public void setX(int x) {
	cX = x;
}
public void setY(int y) {
	cY = y;
}

public int getX(){
	return cX;
}

public int getY(){
	return cY;
}

}//Window